#!/bin/bash -e

time=432000

for num in 6 12 17 ; do
#for num in 24 32 48 72 144 288; do
    for type in nonC2; do
        case=${num}x${num}_${type}

        for subCase in $case/save/*; do
            echo post processing case $subCase
            sumFields -case $subCase $time Udiff $time Uf 0 Uf -scale0 1 -scale1 -1
            sumFields -case $subCase $time hDiff $time h 0 h -scale0 1 -scale1 -1
            plotPatchData -case $subCase -time $time hUdiff
            gv $subCase/$time/hUdiff.eps &
        done
    done
done

